package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.InterfaceModel;

import java.util.List;

public interface InterfaceProvider extends SuperProvider {

    BocloudResult<List<InterfaceModel>> list();
    /**
     * 创建接口
     *
     * @param interfaceModel
     * @return
     */
    BocloudResult create(InterfaceModel interfaceModel);

    BocloudResult delete(InterfaceModel interfaceModel);

    BocloudResult update(InterfaceModel interfaceModel);
}
